net.sf.cglib.reflect

## Class ConstructorDelegate.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.reflect.ConstructorDelegate.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    ConstructorDelegate

      public static class ConstructorDelegate.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorDelegate.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstructorDelegate` | `create()`
    `void` | `generateClass(ClassVisitor v)`
    `void` | `setInterface(java.lang.Class iface)`
    `void` | `setTargetClass(java.lang.Class targetClass)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorDelegate.Generator

          public ConstructorDelegate.Generator()

  - ### Method Detail

    - #### setInterface

          public void setInterface(java.lang.Class iface)

    - #### setTargetClass

          public void setTargetClass(java.lang.Class targetClass)

    - #### create

          public ConstructorDelegate create()

    - #### generateClass

          public void generateClass(ClassVisitor v)

Copyright (c) 2001 - Apache Software Foundation